<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.huyi.service.base.mapper.ZcRepaymentRecordMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.huyi.service.base.entity.ZcRepaymentRecord">
        <id column="zrr_id" property="zrrId" />
        <result column="zrr_finance_record_id" property="zrrFinanceRecordId" />
        <result column="zrr_amount" property="zrrAmount" />
        <result column="zrr_principal" property="zrrPrincipal" />
        <result column="zrr_interest" property="zrrInterest" />
        <result column="zrr_penalty_interest" property="zrrPenaltyInterest" />
        <result column="zrr_repayment_date" property="zrrRepaymentDate" />
        <result column="zrr_acc_detail_id" property="zrrAccDetailId" />
        <result column="zrr_status" property="zrrStatus" />
        <result column="zrr_profit_spare1" property="zrrProfitSpare1" />
        <result column="zrr_profit_spare2" property="zrrProfitSpare2" />
        <result column="zrr_profit_spare3" property="zrrProfitSpare3" />
        <result column="zrr_profit_spare4" property="zrrProfitSpare4" />
        <result column="zrr_profit_spare5" property="zrrProfitSpare5" />
        <result column="zrr_profit_spare6" property="zrrProfitSpare6" />
        <result column="zrr_profit_spare7" property="zrrProfitSpare7" />
        <result column="zrr_profit_spare8" property="zrrProfitSpare8" />
        <result column="zrr_profit_spare9" property="zrrProfitSpare9" />
        <result column="create_by" property="createBy" />
        <result column="create_time" property="createTime" />
        <result column="update_by" property="updateBy" />
        <result column="update_time" property="updateTime" />
    </resultMap>

</mapper>
